package com.xyzshell.myphoneinfo.dialog

import android.os.Bundle
import android.view.View
import com.xyzshell.myphoneinfo.R
import com.xyzshell.myphoneinfo.base.BaseDialogFragment
import com.xyzshell.myphoneinfo.databinding.DialogExtentionBinding

class DialogExtension :BaseDialogFragment<DialogExtentionBinding>(DialogExtentionBinding::inflate){
    private var content :String = ""
    override fun getTitle(): String  = resources.getString(R.string.extensions)

    override fun getIconRes(): Int? =6

    override fun getDoubleBtn(): Boolean? = false

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        binding.textContent.text = content
    }

    override fun onNegativeClick() {
        super.onNegativeClick()

    }

    override fun onPositiveClick() {
        super.onPositiveClick()
    }
    open fun setContent(string :String){
        this.content = string
    }
}